

if {[info exists env(CamacController)]} then {set controller $env(CamacController)} else {set controller SCC}
set CAMACcontroller $controller


proc define-register {mname class rname attributes} {
   global resource CAMACcontroller
   set register /$resource/$mname.$rname
   EG "register :name '$register' :class '$class' !new"
   if {$CAMACcontroller == "RS232CC" || $CAMACcontroller == "CC"} then {
      EG "register :name '$register' :object '$attributes -w24'"
   } else {
      EG "register :name '$register' :object '$attributes'"
   }
}


proc load-configuration+LUT {} {load-configuration}
proc makeLUT {} {}
 
proc modify-frame {} {
   :modify IINCR :value 0 :inactive T
   :modify IPG   :value 0 :inactive T
   :modify ITEM  :value 0 :inactive T
   :modify GROUP :value 0 :inactive T
   :modify SUBADDR :value 0 :inactive T
   :modify CHANNELS :value 0 :inactive T
}
